Returns all the fields that Solr should generate highlighted snippets for

- « SolrQuery::getHighlightAlternateField

- SolrQuery::getHighlightFormatter »

- PHP Manual
- SolrQuery
- Returns all the fields that Solr should generate highlighted snippets for

# SolrQuery::getHighlightFields

(PECL solr >= 0.9.2)

SolrQuery::getHighlightFields — Returns all the fields that Solr should generate highlighted snippets for

### Description

public SolrQuery::getHighlightFields(): array

Returns all the fields that Solr should generate highlighted snippets for

### Parameters

This function has no parameters.

### Return Values

Returns an array on success and `null` if not set.